/* vim: set ai et ts=4 sw=4: */

#ifndef __sidebar_item_h__
#define __sidebar_item_h__

#define SIDEBAR_ITEM(obj)           GTK_CHECK_CAST(obj, sidebar_item_get_type(), SidebarItem)
#define SIDEBAR_ITEM_CLASS(klass)   GTK_CHECK_CLASS_CAST(klass, sidebar_item_get_type(), SidebarItemClass)
#define IS_SIDEBAR_ITEM(obj)        GTK_CHECK_TYPE(obj, sidebar_item_get_type())

typedef struct _SidebarItem {
    GtkRadioButton parent;
    GtkWidget* box;
    GtkWidget* icon_img;
    GtkWidget* title_lbl;

    gchar* title;
    gchar* icon;
    gchar* filename;
    gint stock; // SidebarItemStock
} SidebarItem;

typedef struct _SidebarItemClass {
    GtkRadioButtonClass parent_class;
} SidebarItemClass;

GtkType sidebar_item_get_type(void);

GtkWidget* sidebar_item_new(gchar* title, gchar* icon, gchar* filename, gint stock);
GtkWidget* sidebar_item_new_stock(gint stock);

gboolean sidebar_item_is_stock(SidebarItem* item);

void sidebar_item_refresh(SidebarItem* item);
gboolean sidebar_item_show_dialog(SidebarItem* item);

typedef enum _SidebarItemStock {
    SIDEBAR_ITEM_STOCK_NONE,
    SIDEBAR_ITEM_STOCK_ALL,
    SIDEBAR_ITEM_STOCK_AUDIOCD,
    SIDEBAR_ITEM_STOCK_RADIO,
    SIDEBAR_ITEM_STOCK_FAVORITES,
    SIDEBAR_ITEM_STOCK_END,
} SidebarItemStock;

#endif /*sidebar-item.h*/
